%define upstream_name    Alien-SDL
%define upstream_version 1.440

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Building, finding and using SDL binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Fetch) >= 0.240.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Text::Patch) >= 1.400.0
BuildRequires: SDL-devel
%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::SDL' can be used to detect and get configuration settings
from an installed SDL and related libraries. Based on your platform it
offers the possibility to download and install prebuilt binaries or to
build SDL & co. from source codes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo 1 | %{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.440.0-3.mga4
+ Revision: 525749
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.440.0-2.mga4
+ Revision: 434465
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.440.0-1.mga4
+ Revision: 430190
- new release
- rebuild for new perl

* Mon Mar 18 2013 jquelin <jquelin> 1.438.0-4.mga3
+ Revision: 403806
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.438.0-3.mga3
+ Revision: 362921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.438.0-2.mga3
+ Revision: 314894
- perl 5.16.2 shebang rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.438.0-1.mga3
+ Revision: 295361
- update to 1.438

* Wed Jul 04 2012 jquelin <jquelin> 1.436.0-1.mga3
+ Revision: 267279
- update to 1.436

* Tue Jun 05 2012 kharec <kharec> 1.434.0-1.mga3
+ Revision: 254519
- update to 1.434

* Thu Jan 05 2012 jquelin <jquelin> 1.430.0-1.mga2
+ Revision: 191182
- update to 1.430
- update to 1.428

* Tue Jun 21 2011 jquelin <jquelin> 1.427.0-1.mga2
+ Revision: 111411
- update to 1.427

* Wed Jun 15 2011 jquelin <jquelin> 1.426.0-1.mga2
+ Revision: 106456
- update to 1.426

* Sat Feb 26 2011 jquelin <jquelin> 1.425.0-1.mga1
+ Revision: 60651
- update to 1.425

* Fri Jan 21 2011 jquelin <jquelin> 1.421.0-1.mga1
+ Revision: 29343
- mageia rebuild
- imported package perl-Alien-SDL

